package com.dotemu.gobliiins;

import android.app.Application;

import java.io.File;

public class ScummVMApplication extends Application {
	public final static String ACTION_PLUGIN_QUERY = "com.dotemu.gobliiins.action.PLUGIN_QUERY";
	public final static String EXTRA_UNPACK_LIBS = "com.dotemu.gobliiins.extra.UNPACK_LIBS";
	public final static String EXTRA_VERSION = "com.dotemu.gobliiins.extra.VERSION";

	private static File _cache_dir;

	@Override
	public void onCreate() {
		super.onCreate();

		// This is still on /data :(
		_cache_dir = getCacheDir();
		// This is mounted noexec :(
		//cache_dir = new File(Environment.getExternalStorageDirectory(),
		//				"/.ScummVM.tmp");
		// This is owned by download manager and requires special
		// permissions to access :(
		//cache_dir = Environment.getDownloadCacheDirectory();
	}

	public static File getLastCacheDir() {
		return _cache_dir;
	}
}
