#include "backends/platform/android/textbutton.h"

extern Common::Rect game_screen;

extern float rounded(float value);

void TextButton::initTexture(){

			_texture=new GLES8888Texture();
			_texture->allocBuffer(_font->getSurface()->w,_font->getSurface()->h);
			
			debugdot("TextButton!!!!!!_surface->w=%d,_surface->h=%d,_surface->pixels=%d,_surface->pitch=%d",_font->getSurface()->w,_font->getSurface()->h,sizeof(_font->getSurface()->pixels),_font->getSurface()->pitch);

			//_texture_bound=new GLES8888Texture();
}

void TextButton::setFilter(bool filter){

	_texture->setLinearFilter(filter);

}


unsigned int TextButton::drawString(char* Str, float size,bool limited,bool black){
	unsigned int posX=0;
	unsigned int posY=0;
	unsigned int currentX=x;
	unsigned int currentY=y;
	unsigned int xinit=x;
	unsigned int yinit=y;
	unsigned int ymax=0;
	unsigned int xMax=900;
	unsigned int word=0;
	unsigned int nbPixelAdd=0;
	float scale=size/65;// taille a afficher / taille de caractère
	
	
	//debugdot("la string est =%s!!!!",Str);
	

	for( unsigned int i = 0; Str[i]!=(char)0; i++ ){  // calcule de la taille pour centrage
		//debugdot("Str[%d]= %c,%d!",i,Str[i],Str[i]);
		//debugdot("Xadvance");
		unsigned int XAdvance = _font->getXAdvance(Str[i])*scale;
		//debugdot("height");
		/*unsigned int height = _font->getHeight(Str[i])*scale;
		//debugdot("offset");
		int offsetY = _font->getOffsetY(Str[i])*scale;*/
		
		posX+=XAdvance;
		/*if(height+offsetY>posY)
			posY=height+offsetY;*/
	}
	//debugdot("PosX = %d, x= %d",posX,currentX);
	unsigned int heightinit=posY;
	unsigned int xcalcul=currentX;
	bool bspace=true;
	bool endLine=true;
	if(!limited)
		currentX-=posX/2;
	currentY-=(size)/2;
	
	ymax=posY+y;
	yinit=y;
	xinit=currentX;
	//debugdot("X= %d",x);
	for( unsigned int i = 0;Str[i]!=(char)0; i++ )
	{
		//xcalcul=x;
		
		/*if(limited&& endLine){
			posX=0;
			endLine=false;
			unsigned int mem=0;
			unsigned int word=0;
			if(Str[i]==' ')
				i++;
			for(unsigned int j=i;posX<=xMax;++j){
				unsigned int XAdvance = _font->getXAdvance(Str[j])*scale;
				if(Str[j]==' '){
					word++;
					mem=posX;
				}
				posX+=XAdvance;
			}
			
			//debugdot("posX=%d, word=%d ",posX,word);
			unsigned int diffEndLine=xMax-mem; // nb pixel en trop
			//debugdot("diffEndLine= %d",diffEndLine);
			nbPixelAdd=diffEndLine/((word-1));
			//debugdot("nbPixel= %d",nbPixelAdd);
			posX=0;
		}
		//debugdot("Pos = %d ,Str[%d] = %c = %d",posX,i,Str[i],Str[i]);
		/*if(bspace && limited){
			for(unsigned j =i; Str[j]!=' ';j++){
				unsigned int XAdvance = _font->getXAdvance(Str[j])*scale;
				xcalcul+=XAdvance;
			}
			if(xcalcul>=xinit+1000){
				x=xinit;
				y=y+heightinit+5;
			}
			bspace=false;
		}
		if(Str[i]==' ') */
		//debugdot("Str[%d]= %c,%d!",i,Str[i],Str[i]);
		
		int charX = _font->getPos(Str[i]).x;
		//debugdot("getPosX=%d",charX);
		
		int charY = _font->getPos(Str[i]).y;
		//debugdot("getPosY=%d",charY);
		
		float width = _font->getWidth(Str[i]);
		//debugdot("width=%d",width);
		
		float height = _font->getHeight(Str[i]);
		//debugdot("height=%d",height);

		
		float offsetX = (float)_font->getOffsetX(Str[i])*scale;
		//debugdot("offsetX=%d",offsetX);
		
		float offsetY = (float)_font->getOffsetY(Str[i])*scale;
		//debugdot("offsetY=%d",offsetY);

		
		int XAdvance = _font->getXAdvance(Str[i]);
		//debugdot("Xadvance=%d",XAdvance);
		/*if(black)
			_texture->setTextureColorBlack();*/
		
		//debugdot("allocate buffer %d,%d",width,height);
		 _texture->allocBuffer(width,height);
		
		//debugdot("updatebuffer");
		
		 _texture->updateBuffer(0,0,width,height,_font->getSurface()->pixels+charX*_font->getSurface()->format.bytesPerPixel+charY*_font->getSurface()->pitch,_font->getSurface()->pitch);
		

		offsetX=rounded(offsetX);
		offsetY=rounded(offsetY);
		
		height=(float)height*scale;
		height=rounded(height);
		
		width=(float)width*(scale);
		width=rounded(width);


		 _texture->setDrawRect(Common::Rect(currentX+offsetX,currentY+offsetY,(int)(currentX+offsetX+width),(int)(offsetY+currentY+height)));
		//debugdot("drawTexture");
		 _texture->drawTextureRect();
		/*if(Str[i]==' ' && limited)
			x+=XAdvance*scale+nbPixelAdd;
		else*/
			currentX+=XAdvance*scale;
		/*if(x>xinit+xMax && limited){
			//debugdot("x=%d xinit=%d",x,xinit);
			x=xinit;
			y=y+heightinit+5;
			endLine=true;
		}*/
		
	
	}
	//debugdot("Rect(xinit=%d,yinit=%d,x=%d,ymax=%d)",xinit,yinit,currentX,ymax);
	_currentGlobalBound=Common::Rect(xinit-(4*(game_screen.left+game_screen.right)/100),yinit-(4*game_screen.height()/100),currentX+(4*(game_screen.left+game_screen.right)/100),ymax+(4*game_screen.height()/100));

	/*unsigned int *dst = new unsigned int[50*50];
		for(int i=0; i<50*50; i++)
			dst[i] = 0xFF0000FF;
	 _texture->allocBuffer(50,50);
	_texture->updateBuffer(0,0,50,50,dst,0);
	//_texture->setTexture(dst, 0, 0, 50, 50);
	_texture->setDrawRect(_currentGlobalBound);
	_texture->drawTextureRect();*/
	return currentY+=heightinit+5;
	

}
