#!/bin/sh




export ANDROID_SDK=/Users/dotemu/Documents/Android/android-sdk-macosx
export ANDROID_NDK=/Users/dotemu/Documents/Android/android-ndk-r9d
export PATH=/Users/dotemu/Documents/Android/android-ndk-r9d/toolchains/arm-linux-androideabi-4.6/prebuilt/darwin-x86_64/bin:$PATH



PREFIX=${ANDROID_NDK}/toolchains/arm-linux-androideabi-4.6/prebuilt/darwin-x86_64/bin/arm-linux-androideabi-

export CC=${PREFIX}gcc
export CXX=${PREFIX}g++ 
export AS=${PREFIX}gcc
export LD=${PREFIX}gcc
export AR=${PREFIX}ar cru
export RANLIB=${PREFIX}ranlib
export STRIP=${PREFIX}strip
export OBJCOPY=${PREFIX}objcopy

#Debug
#export MACHDEP="--sysroot=$ANDROID_NDK/platforms/android-9/arch-arm -g -mandroid -mthumb-interwork"
#export CFLAGS="${MACHDEP} -O0 -g -ggdb -Wall -mandroid " 
#export CXXFLAGS="${CFLAGS}"
#export LDFLAGS="${MACHDEP}"

#Release 
export MACHDEP="--sysroot=$ANDROID_NDK/platforms/android-9/arch-arm -mandroid -mthumb-interwork -march=armv7-a -Wl,--fix-cortex-a8"
export CFLAGS="${MACHDEP} -Os -Wall -mandroid -fomit-frame-pointer -ffast-math -mthumb -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16" 
export CXXFLAGS="${CFLAGS}"
export LDFLAGS="${MACHDEP}"




#current="$(dirname $0)"
#$current/configure --host=android --backend=android --disable-all-engines --enable-engine=gob --with-tremor-prefix=opt/android/3rd-android-4-armeabi-v7a-release/ --enable-tremor --with-png-prefix=/opt/android/3rd-android-4-armeabi-v7a-release/ --enable-png

#make clean
make -j2 
mv libscummvm.so /Users/dotemu/Desktop/Gobliiins/Gobliiins_Android/workspace/Gobliiins_Trilogy/libs/armeabi-v7a
echo "finish"
